public class ActionEventQueue {

    public String aeqcmd[];
    private int queueid;

    public void init () {
        System.out.print ("ActionEventQueue ");
        aeqcmd = new String[30];
        for (queueid = 0; queueid <= 29; queueid++) {
            aeqcmd[queueid] = "unused";
        }
        System.out.print ("initialised.\n");
    }

    public synchronized void addEvent (String cmd, String clientid) {
        for (queueid = 0; queueid <= 29; queueid++) {
            if (aeqcmd[queueid].equals("unused")) {
                aeqcmd[queueid] = clientid + cmd;
                break;
            }
        }
    }

    public synchronized void removeEvent () {
        for (queueid = 0; queueid <= 29; queueid++) {
            if (aeqcmd[queueid].equals("unused")) {
                break;
            }
            aeqcmd[queueid] = aeqcmd[queueid + 1];
        }
        System.out.println ("AEQ Debug #3 : command deleted from queue");
    }

    // queueid is always 0 !! (because its the first part in the queue)
    public synchronized void executeCommand () {
        if ( !aeqcmd[0].equals ("unused") ) {
            ActionHandler ahandler = new ActionHandler();
            System.out.println ("AEQ Debug #1: " + aeqcmd[0]);
            System.out.println ("AEQ Debug #2: " + aeqcmd[0].substring(0,7) + " command passed to ActionHandler for Execution.");
            ahandler.execute(aeqcmd[0]);
            this.removeEvent();
        }
    }

}
