import java.io.*;

public class LoadFile {

    public static void loadINI (String map) {
        System.out.print ("Loading Map Information : ");

        File mapfile = new File ("../maps/" + map);
        if ( mapfile.exists() ) {
            INIfile inifile = new INIfile();
            inifile.load(mapfile);
            System.out.print ("(" + map + ") ");
        }
        else {
            System.out.println ("\nERROR : Map file " + map + " not found.");
            System.out.println ("Closing down.");
            System.exit(1);
        }

    }

    public static void loadBIN (String map) {
        File binaryfile = new File ("../maps/" + map);
        if ( binaryfile.exists() ) {
            BINfile binfile = new BINfile();
            binfile.load(binaryfile);
            System.out.print ("(" + map + ")\n");
        }
        else {
            System.out.println ("ERROR : Map file " + map + " not found.");
            System.out.println ("Closing down.");
            System.exit(1);
        }
    }

}
