// attention : add support for printing out a warning for unrecognised options!!!

public class Arguments {

    public void readout (Values val2, String[] args, Info info) {
        for (int a=0; a<=args.length-1; a+=2) {
	    int count = 0;
            //System.out.println (a + " ---- " + args[a] + " -> " + args[a+1]);
            if ( args[a].indexOf("-port") != -1 ) {
                // System.out.println ("option port found with value : " + args[a+1]); }
                val2.port(Integer.parseInt (args[a+1]));
            }
            else { count++; }

            if ( args[a].indexOf("-map") != -1 ) {
                // System.out.println ("option map found with value : " + args[a+1]); }
                val2.map(args[a+1]);
            }
            else { count++; }

            if ( args[a].indexOf("-numplayers") != -1 ) {
                // System.out.println ("option numplayers found with value : " + args[a+1]); }
                val2.numplayers(Integer.parseInt(args[a+1]));
            }
            else { count++; }

            if ( args[a].indexOf("-maxplayers") 	!= -1 ) {
                // System.out.println ("option maxplayers found with value : " + args[a+1]); }
                val2.maxplayers (Integer.parseInt(args[a+1]));
            }
            else { count++; }

            if ( args[a].indexOf("-money") != -1 ) {
                // System.out.println ("option money found with value : " + args[a+1]); }
                val2.money(Integer.parseInt(args[a+1]));
            }
            else { count++; }

            if ( args[a].indexOf("-techlevel") != -1 ) {
                // System.out.println ("option techlevel found with value : " + args[a+1]); }
                val2.techlevel(Integer.parseInt(args[a+1]));
            }
            else { count++; }

            if ( args[a].indexOf("-crates" ) != -1 ) {
                // System.out.println ("option crates found with value : " + args[a+1]); }
                val2.crates(Integer.parseInt(args[a+1]));
            }
            else { count++; }

            if ( args[a].indexOf("-ctf") != -1 ) {
                // System.out.println ("option ctf found with value : " + args[a+1]); }
                val2.crates(Integer.parseInt(args[a+1]));
            }
            else { count++; }

            if ( args[a].indexOf("-pingtimeout") != -1 ) {
                val2.pingtimeoutdelay(Integer.parseInt(args[a+1]));
            }
            else { count++; }

	    if ( args[a].indexOf("-metaserver") != -1 ) {
	    	val2.metaserver(args[a+1]);
		val2.serverstatus(1);
	    }
	    else { count++; }

	    if ( args[a].indexOf("-servername") != -1 ) {
	    	val2.servername(args[a+1]);
            }
	    else { count++; }


            if ( args[a].indexOf("-help") != -1 ) { info.showParameters(); }
            else { count++; }

            if ( count > 12 ) { System.err.println ("ERROR : parameter not identified. (returned checksum " + count + ")"); }
        }
    }

    public boolean checkAllParametersChecked(Values val, String[] args) {
        boolean error_occured = false;

        if (args[0].indexOf("-help") == -1) {

            if (val.getport() == -1) {
                //System.err.println ("ERROR : parameter PORT [int] not found.");
                val.port(1995);
            }

            if (val.getmap().equals("none")) {
                System.err.println ("ERROR : parameter MAP [string] not found.");
                error_occured = true;
            }

            if (val.getnumplayers() == -1) {
                //System.err.println ("ERROR : parameter NUMPLAYERS [int] not found.");
                val.numplayers(2); // setting default for numplayers : 2
            }

            if (val.getmaxplayers() == -1) {
                //System.err.println ("ERROR : parameter MAXPLAYERS [int] not found.");
                val.maxplayers(7); // setting default for maxplayers : 7
            }

            if (val.getmoney() == -1) {
                //System.err.println ("ERROR : parameter MONEY [int] not found.");
                val.money(5000); // setting default for money : 5000
            }

            if (val.gettechlevel() == -1) {
                //System.err.println ("ERROR : parameter TECHLEVEL [int] not found.");
                val.techlevel(10); // setting default for techlevel : 10
            }

            if  (val.getcrates() == -1) {
                //System.err.println ("ERROR : parameter CRATES [0 or 1] not found.");
                val.crates(0); // setting default for crates : 0 (disabled)
            }

            if  (val.getctf() == -1) {
                val.ctf(0); // setting default for capture the flag : 0 (disabled)
            }

            if (val.getpingtimeoutdelay() == -1) {
                val.pingtimeoutdelay(180); // setting default for ping timeout in seconds
            }
	    
	    if (val.getservername().equals("none")) {
	    	val.servername("unnamedserver"); // setting default for servername
            }

	    if (val.getmetaserver().equals("empty")) {
	    	val.metaserver("localhost");   // setting default for metaserver
		val.serverstatus(0); // setting to lan status
            }

            if (error_occured) { System.err.println ("Not acceptable errors in configuration via parameters"); }
        }
        else {
            error_occured = true;
        }


        return error_occured;
    }



}
