import java.net.*;
import java.io.*;
import java.lang.*;

public class SocketThread extends Thread {

    private LocalSocket local;
    private Socket client;
    private Values values;
    private UserData usrdata;
    private String clientname;
    private ActionEventQueue actioneventqueue;

    public SocketThread(ActionEventQueue AEQ, UserData udat, LocalSocket loc, Values va, Socket c) {
        local = loc;
        client = c;
        values = va;
        usrdata = udat;
        actioneventqueue = AEQ;

    }

    public void run(){
        setName(clientname = usrdata.getPlayerID());
        usrdata.initUserData(usrdata, clientname, values);
        values.playernumber((values.getplayernumber()) + 1);
        System.out.println ("set number of all players set to : " + values.getplayernumber());
        try { local.Protocol(client, values, clientname, usrdata, actioneventqueue); }
        catch (IOException e) {}
    }

}


