public class Values {

    private int port;
    private String map;
    private String metaserver;
    private int numplayers;
    private int maxplayers;
    private int money;
    private int techlevel;
    private int crates;
    private int ctf;
    private int pnumber;
    private int gamestate; // if unready value is 0, if all players are ready its set to 1
    private int pingtimeoutdelay;
    private int serverstatus; // -1 -> not initialised, 0 -> LAN, 1 -> Inet (Metaserver);
    private String servername;


    public void initValues() {
        port = -1;
        map = "none";
	metaserver = "localhost";
	serverstatus = -1;
        numplayers = -1;
        maxplayers = -1;
        money = -1;
        techlevel = -1;
        crates = -1;
        ctf = -1;
        gamestate = 0;
        pingtimeoutdelay = -1;
	servername = "none";
    }

    // PORT
    public void port(int Vport) {
        port = Vport;
    }

    public int getport () {
        return port;
    }
    
    // servername
    public void servername(String Vservername) {
    	servername = Vservername;
    }
    
    public String getservername() {
    	return servername;
    }


    // MAP
    public void map(String Vmap) {
        map = Vmap;
    }

    public String getmap() {
        return map;
    }

    // METASERVER
    public void metaserver(String Vmetaserver) {
    	metaserver = Vmetaserver;
   }

   public String getmetaserver() {
   	return metaserver;
   }

   // serverstatus
   public void serverstatus(int Vserverstatus) {
   	serverstatus = Vserverstatus;
   }

   public int getserverstatus() {
   	return serverstatus;
   }


    // numplayers
    public void numplayers(int Vnumplayers) {
        numplayers = Vnumplayers;
    }

    public int getnumplayers() {
        return numplayers;
    }

    // maxplayers
    public void maxplayers(int Vmaxplayers) {
        maxplayers = Vmaxplayers;
    }

    public int getmaxplayers() {
        return maxplayers;
    }

    // money
    public void money(int Vmoney) {
        money = Vmoney;
    }

    public int getmoney() {
        return money;
    }

    // techlevel

    public void techlevel(int Vtechlevel) {
        techlevel = Vtechlevel;
    }

    public int gettechlevel() {
        return techlevel;
    }

    // crates
    public void crates(int Vcrates) {
        crates = Vcrates;
    }

    public int getcrates() {
        return crates;
    }

    // ctf
    public void ctf(int Vctf) {
        ctf = Vctf;
    }

    public int getctf() {
        return ctf;
    }

    public synchronized void playernumber(int Vpnumber) {
        pnumber = Vpnumber;
    }

    public int getplayernumber() {
        return pnumber;
    }





    public synchronized void gamestate(int Vgamestate) {
        gamestate = Vgamestate;
    }

    public int getgamestate() {
        return gamestate;
    }

    public void pingtimeoutdelay(int Vpingtimeoutdelay) {
        pingtimeoutdelay = Vpingtimeoutdelay;
    }

    public int getpingtimeoutdelay() {
        return pingtimeoutdelay;
    }


    public String toString () {
        StringBuffer userstring = new StringBuffer();
        userstring.append("Game Options # Map : " + getmap());
        userstring.append(", MaxPlayers : " + getmaxplayers());
        userstring.append(", Money : " + getmoney());
        userstring.append(", Techlevel : " + gettechlevel());
        userstring.append(", Crates : " + getcrates());
        userstring.append(", CTF : " + getctf());
        userstring.append(", Players connected : " + getplayernumber());
	userstring.append(", Metaserver using : " + getmetaserver());
	userstring.append(", Servername : " + getservername());
        return userstring.toString();
    }

}
